petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMFFDSetCheckh

Sets a function that checks the computed h and adjusts it to satisfy some criteria

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetCheckh(Mat J,PetscErrorCode (*fun)(void*,Vec,Vec,PetscScalar*),void *ctx)

Logically Collective on Mat

### Input Parameters

| J | - the MatMFFD matrix
| fun | - the function that checks h
| ctx | - any context needed by the function

### Options Database Keys

-mat_mffd_check_positivity -

### Notes

For example, MatMFFDCheckPositivity() insures that all entries of U + h*a are non-negative

The function you provide is called after the default h has been computed and allows you to modify it.

### See Also

MatMFFDCheckPositivity()

### Level

advanced

### Location

src/mat/impls/mffd/mffd.c

### Implementations

MatMFFDSetCheckh_MFFD in src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages